(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprint_xmlc.bin generated code *)

let print_xml_module_name ppf = function
  | s -> Lib_print_xml.print_xml_quoted_string ppf s

and print_xml_function_name ppf = function
  | s -> Lib_print_xml.print_xml_quoted_string ppf s

and print_xml_message ppf = function
  | s -> Lib_print_xml.print_xml_quoted_string ppf s
;;

let print_xml_index ppf = function
  | u_t -> Unatural_print_xml.print_xml_t ppf u_t
;;

let print_xml_length ppf = function
  | u_t -> Unatural_print_xml.print_xml_t ppf u_t
;;

(* End of ocamlprint_xmlc.bin generated code *)
